Table Merge
=======

Metadata
-----------

 * **@name**: Table Merge
 * **@version**: 1.0.1
 * **@authors**: Melanie Petera (PFEM - INRA - MetaboHUB)
 * **@init date**: 2015, June
 * **@main usage**: This tool merges a data matrix file with a selected metadata file to obtain a single file.

 
Context
-----------

This tool is provided as one of the [Workflow4Metabolomics](http://workflow4metabolomics.org) Galaxy instance statistical tools. 
W4M is a French infrastructure providing software tools to process, analyse and annotate metabolomics data. 

User interface is based on the Galaxy platform (homepage: https://galaxyproject.org/). It is an open, web-based platform for data intensive biomedical research. 
Whether on the free public server or your own instance, you can perform, reproduce, and share complete analyses.

 
Configuration
-----------

### Requirement:
 * R software: version > 3.0.0 recommended
 * Specific R libraries: 'batch'


Technical description
-----------

Main files:

- tablemerge_script.R: R function (core script)
- tablemerge_wrap.R: R script to link the main R function to inputs
- tablemerge.xml: XML wrapper (interface for Galaxy)
- RcheckLibrary.R and miniTools.R: additional R functions used by the core script (input checks and data handling)


Services provided
-----------

 * Help and support: support@workflow4metabolomics.org


License
-----------

 * Cea Cnrs Inria Logiciel Libre License, version 2.1 (CECILL-2.1)
